Skip to main content

Set document's data classification

PUT 

/documents/:documentId/dataClassification

deprecated

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

Generate Data Classfication attributes within a document; available as an Add-On Module. Deprecated. This endpoint is no longer recommended. Please use /documents/{documentId}/ai/prompts/{llmPromptEntityName} instead.

Request

Path Parameters

    documentId stringrequired

    Document Identifier

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

Body

    llmPromptEntityName stringrequired

    Name of the LLM Prompt Entity

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    content string

    Result content

    attributes

    object[]

    Attributes extracted from result content

  • Array [

  • key string

    Data Classification Attribute Key

    value string

    Data Classification Attribute Value

  • ]

Loading...